<template>
  <sail-page type="loading-view" title="精选活动" isHead>
    <div slot="content">
    	<router-link class="link" v-for="(selctActivity, index) in selectionActivityInfo" :key="index" :to="`selectionOfActivityDetails/${selctActivity.id}`">
    		 <ActivityStatus class="activity_status" :data="selctActivity"/>
    	</router-link>    	                  
    </div>
  </sail-page>
</template>

<script>

import sailPage from "@/components/sail-page.vue";
import ActivityStatus from "@/common/widget/activityStatus.vue";
import {mapState} from "vuex";
export default {
  components: {
    sailPage,
    ActivityStatus
  },
  computed: {
    ...mapState({
      selectionActivityInfo:state => state.serviceModule.selectionActivityInfo
    })
  },
  data: function(){
    return {

    }; 
  },
  asyncData({store, route}) {
    return store.dispatch("serviceModule/getSelectionActivityInfo",{
      pn:1,
      pageSize:1000
    }).then(res => {

    });
  },
  methods: {
      
  }
};
</script>
<style lang="less">
  
</style>
<style lang="less" scoped>
     .activity_status {
     	margin-top: 20px;
     }
</style>